Package org.eclipse.ui.internal

# Class ViewIntroAdapterPart

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.ui.part.WorkbenchPart
org.eclipse.ui.part.ViewPart
org.eclipse.ui.internal.ViewIntroAdapterPart

All Implemented Interfaces:
  `IAdaptable`, `IExecutableExtension`, `IPersistable`, `IViewPart`, `IWorkbenchPart`, `IWorkbenchPart2`, `IWorkbenchPart3`, `IWorkbenchPartOrientation`

public final class ViewIntroAdapterPart extends ViewPart
Simple view that will wrap an `IIntroPart`.

Since:
  3.0

## Field Summary

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`ViewIntroAdapterPart()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPartControl(Composite parent)`
Creates the SWT controls for this workbench part.
`void`
`dispose()`
The `WorkbenchPart` implementation of this `IWorkbenchPart` method disposes the title image loaded by `setInitializationData`.
`<T> T`
`getAdapter(Class<T> adapter)`
Returns an object which is an instance of the given class associated with this object.
`String`
`getTitle()`
Returns the title of this workbench part.
`Image`
`getTitleImage()`
Returns the title image of this workbench part.
`void`
`init(IViewSite site, IMemento memento)`
Initializes this view with the given view site.
`void`
`saveState(IMemento memento)`
Saves the object state within a memento.
`void`
`setFocus()`
Asks this part to take focus within the workbench.
`void`
`setHandleZoomEvents(boolean handle)`
Toggles handling of zoom events.
`void`
`setStandby(boolean standby)`
Forces the standby state of the intro part.

### Methods inherited from class org.eclipse.ui.part.ViewPart

`checkSite, getViewSite, init, setContentDescription, setInitializationData, setPartName`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitleToolTip, removePropertyListener`

## Constructor Details

### ViewIntroAdapterPart

public ViewIntroAdapterPart()

## Method Details

### setStandby

public void setStandby(boolean standby)
Forces the standby state of the intro part.

Parameters:
  `standby` - update the standby state

### setHandleZoomEvents

public void setHandleZoomEvents(boolean handle)
Toggles handling of zoom events.

Parameters:
  `handle` - whether to handle zoom events

### createPartControl

public void createPartControl(Composite parent)
Description copied from interface: `IWorkbenchPart`
Creates the SWT controls for this workbench part.

Clients should not call this method (the workbench calls this method when it needs to, which may be never).

For implementors this is a multi-step process:

1. Create one or more controls within the parent.
2. Set the parent layout as needed.
3. Register any global actions with the site's `IActionBars`.
4. Register any context menus with the site.
5. Register a selection provider with the site, to make it available to the workbench's `ISelectionService` (optional).

Specified by:
  `createPartControl` in interface `IWorkbenchPart`
Specified by:
  `createPartControl` in class `WorkbenchPart`
Parameters:
  `parent` - the parent control

### dispose

public void dispose()
Description copied from class: `WorkbenchPart`
The `WorkbenchPart` implementation of this `IWorkbenchPart` method disposes the title image loaded by `setInitializationData`. Subclasses may extend.

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `WorkbenchPart`

### getAdapter

public <T> T getAdapter(Class<T> adapter)
Description copied from class: `WorkbenchPart`
Returns an object which is an instance of the given class associated with this object. Returns `null` if no such object can be found.

Clients may implement this method but should generally call `Adapters.adapt(Object, Class, boolean)` rather than invoking it directly. Subclasses may override this method (however, if they do so, they should invoke the method on their superclass to ensure that the Platform's adapter manager is consulted).

Specified by:
  `getAdapter` in interface `IAdaptable`
Overrides:
  `getAdapter` in class `WorkbenchPart`
Type Parameters:
  `T` - the class type
Parameters:
  `adapter` - the adapter class to look up
Returns:
  a object of the given class, or `null` if this object does not have an adapter for the given class

### getTitleImage

public Image getTitleImage()
Description copied from interface: `IWorkbenchPart`
Returns the title image of this workbench part. If this value changes the part must fire a property listener event with `PROP_TITLE`.

The title image is usually used to populate the title bar of this part's visual container. Since this image is managed by the part itself, callers must not dispose the returned image.

Specified by:
  `getTitleImage` in interface `IWorkbenchPart`
Overrides:
  `getTitleImage` in class `WorkbenchPart`
Returns:
  the title image

### getTitle

public String getTitle()
Description copied from class: `WorkbenchPart`
Returns the title of this workbench part. If this value changes the part must fire a property listener event with `PROP_TITLE`.

The title is used to populate the title bar of this part's visual container.

It is considered bad practise to overload or extend this method. Parts should set their title by calling setPartName and/or setContentDescription.

Specified by:
  `getTitle` in interface `IWorkbenchPart`
Overrides:
  `getTitle` in class `WorkbenchPart`
Returns:
  the workbench part title (not `null`)

### init

public void init(IViewSite site, IMemento memento) throws PartInitException
Description copied from interface: `IViewPart`
Initializes this view with the given view site. A memento is passed to the view which contains a snapshot of the views state from a previous session. Where possible, the view should try to recreate that state within the part controls.

This method is automatically called by the workbench shortly after the part is instantiated. It marks the start of the views's lifecycle. Clients must not call this method.

Specified by:
  `init` in interface `IViewPart`
Overrides:
  `init` in class `ViewPart`
Parameters:
  `site` - the view site
  `memento` - the IViewPart state or null if there is no previous saved state
Throws:
  `PartInitException` - if this view was not initialized successfully

### setFocus

public void setFocus()
Description copied from interface: `IWorkbenchPart`
Asks this part to take focus within the workbench. Parts must assign focus to one of the controls contained in the part's parent composite.

Clients should not call this method (the workbench calls this method at appropriate times). To have the workbench activate a part, use `IWorkbenchPage.activate(IWorkbenchPart) instead`.

Specified by:
  `setFocus` in interface `IWorkbenchPart`
Specified by:
  `setFocus` in class `WorkbenchPart`

### saveState

public void saveState(IMemento memento)
Description copied from interface: `IViewPart`
Saves the object state within a memento.

Specified by:
  `saveState` in interface `IPersistable`
Specified by:
  `saveState` in interface `IViewPart`
Overrides:
  `saveState` in class `ViewPart`
Parameters:
  `memento` - a memento to receive the object state